aboutsummaryrefslogtreecommitdiffstats
path: root/systemd/rhel-domainname
diff options
context:
space:
mode:
Diffstat (limited to 'systemd/rhel-domainname')
-rwxr-xr-xsystemd/rhel-domainname9
1 files changed, 9 insertions, 0 deletions
diff --git a/systemd/rhel-domainname b/systemd/rhel-domainname
new file mode 100755
index 00000000..17f8ea8c
--- /dev/null
+++ b/systemd/rhel-domainname
@@ -0,0 +1,9 @@
+#!/usr/bin/bash
+. /etc/sysconfig/network
+
+if [ -n "${NISDOMAIN}" -a -x /usr/bin/domainname ]; then
+ domainname ${NISDOMAIN}
+ exit $?
+fi
+
+exit 0